var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { catchExec } from '../ssh.js';
export const basicPermissions = (options) => __awaiter(void 0, void 0, void 0, function* () {
    const { remote, user, group } = options;
    if (user && group) {
        yield catchExec(`sudo chown -R ${user}:${group} "${remote}"`);
        yield catchExec(`sudo chmod -R 0775 "${remote}"`);
    }
    else if (user) {
        yield catchExec(`sudo chown -R ${user}: "${remote}"`);
        yield catchExec(`sudo chmod -R 0755 "${remote}"`);
    }
    else if (group) {
        yield catchExec(`sudo chown -R :${group} "${remote}"`);
        yield catchExec(`sudo chmod -R 0775 "${remote}"`);
    }
});
