import { forceArray } from '../force-array.js';
export const setUsers = (configs) => {
    var _a, _b, _c, _d, _e;
    if (!(configs === null || configs === void 0 ? void 0 : configs.users))
        return null;
    const mapUsers = forceArray(configs.users);
    for (const key in mapUsers) {
        const user = mapUsers[key];
        if (!(user === null || user === void 0 ? void 0 : user.name) || typeof user.name !== 'string')
            throw 'The field `name` in `users` is required';
        if (!(user === null || user === void 0 ? void 0 : user.password) || typeof user.password !== 'string')
            throw 'The field `password` in `users` is required';
        mapUsers[key].directory =
            (user === null || user === void 0 ? void 0 : user.directory) && typeof user.directory === 'string'
                ? user.directory
                : `/home/${user.name}`;
        mapUsers[key].sudo =
            'sudo' in user && typeof user.sudo === 'boolean' ? user.sudo : false;
        mapUsers[key].groups =
            (user === null || user === void 0 ? void 0 : user.groups) && Array.isArray(user.groups)
                ? user.groups
                : [];
        mapUsers[key].ftp = !(user === null || user === void 0 ? void 0 : user.ftp)
            ? false
            : {
                directory: typeof ((_a = user === null || user === void 0 ? void 0 : user.ftp) === null || _a === void 0 ? void 0 : _a.directory) === 'string'
                    ? user.ftp.directory
                    : mapUsers[key].directory,
                mask: typeof ((_b = user === null || user === void 0 ? void 0 : user.ftp) === null || _b === void 0 ? void 0 : _b.mask) === 'string' ? user.ftp.mask : '022',
            };
        mapUsers[key].sftp = !user.sftp
            ? false
            : {
                chRoot: typeof ((_c = user.sftp) === null || _c === void 0 ? void 0 : _c.chRoot) === 'string' ? user.sftp.chRoot : '/home',
                chUser: typeof ((_d = user.sftp) === null || _d === void 0 ? void 0 : _d.chUser) === 'string'
                    ? user.sftp.chUser
                    : `/home/${user.name}`,
                mask: ((_e = user.sftp) === null || _e === void 0 ? void 0 : _e.mask) && typeof user.sftp.mask === 'string'
                    ? user.sftp.mask
                    : '022',
            };
    }
    return mapUsers;
};
