import { Client, ConnectConfig, SFTPWrapper } from 'ssh2';
import { ACCESS } from './types/acess.js';
export declare const ssh2: Client;
export declare let SFTP: SFTPWrapper;
export declare const connect: (access: ConnectConfig) => Promise<true>;
export declare const catchExec: (command: string) => Promise<true>;
export declare const exec: (command: string, VPS?: ACCESS) => Promise<true>;
export declare const end: () => Promise<true>;
export declare const ensureDir: (remotePath: string) => Promise<true>;
/** Uses `SFTP` to upload a local file to remote server */
export declare const uploadFile: (localPath: string, remotePath: string) => Promise<true>;
/** Uses `SFTP` to download a local file to remote server */
export declare const downloadFile: (remotePath: string, localPath: string) => Promise<true>;
