import sh from '../../modules/sh.js';
import { setCertificate } from '../../modules/configs/certificate.js';
export default (configs) => {
    const certificate = setCertificate(configs);
    if (!certificate)
        return [];
    const { commonName, country, location, organization, organizationUnit, state, } = certificate.fields;
    const commands = [
        'echo "Generating Open SSL RSA Certificate..."',
        `--catch sudo openssl req -x509 -nodes -days ${certificate.days} -new -newkey rsa:${certificate.rsa} -keyout /etc/ssl/private/cert.pem -out /etc/ssl/private/cert.pem -subj "/C=${country}/ST=${state}/L=${location}/O=${organization}/OU=${organizationUnit}/CN=${commonName}"`,
        sh.done,
    ];
    return commands;
};
