import fs from 'fs';
export const pastDomains = fs.existsSync('.svps/domains.json')
    ? JSON.parse(fs.readFileSync('.svps/domains.json', 'utf-8'))
    : [];
export const writeLogs = (virtualHosts) => {
    const newDomains = virtualHosts.map((virtualHost) => virtualHost.domain);
    if (newDomains.length === 0)
        return;
    const domains = JSON.stringify(Array.from(new Set([...pastDomains, ...newDomains])), null, 2);
    fs.mkdirSync('.svps', { recursive: true });
    fs.writeFileSync('.svps/domains.json', domains, {
        encoding: 'utf-8',
    });
};
